VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - c -

- cal : TestToneProcessor
- calculateDelay() : SyncDelayProcessor
- calx : TestToneProcessor
- canProcessSampleSize() : AGain , HostCheckerProcessor , Processor
- car : DX10Processor::VOICE
- car0 : TalkBoxProcessor
- car1 : TalkBoxProcessor
- catt : DX10Processor::VOICE , DX10Processor
- cdec : DX10Processor::VOICE , DX10Processor
- cdep : PianoProcessor
- cent : JX10Processor
- cenv : DX10Processor::VOICE
- changeScaling() : LogScale< T >
- check() : EventListCheck , ProcessContextCheck , ProcessSetupCheck
- checkAllChanges() : ParameterChangesCheck
- checkEventBusIndex() : EventListCheck
- checkEventChannelIndex() : EventListCheck
- checkEventCount() : EventListCheck
- checkEventProperties() : EventListCheck
- checkEventSampleOffset() : EventListCheck
- checkNormalized() : ParameterChangesCheck
- checkNoteExpressionValueEvent() : EventListCheck
- checkParameterChanges() : ParameterChangesCheck
- checkParameterCount() : ParameterChangesCheck
- checkParameterId() : ParameterChangesCheck
- checkParameterQueue() : ParameterChangesCheck
- checkPoints() : ParameterChangesCheck
- checkSampleOffset() : ParameterChangesCheck
- checkSilence() : Processor , DX10Processor , DynamicsProcessor , LimiterProcessor , LoudnessProcessor
- checkStateTransfer() : Processor
- checkValidPitch() : EventListCheck
- chp : LeslieProcessor
- cid : Controller , Processor , ControllerWithUI , ProcessorWithUIController , PitchNamesController , PitchNamesProcessor
- clearBuffers() : AmbienceProcessor , ComboProcessor
- clearEvents() : SynthData< VoiceT, kEventBufferSize, kNumVoices >
- clearLogEvents() : EventLogger
- clearOutputNeeded() : VoiceProcessor
- clearVoice() : JX10Processor
- clip : ComboProcessor
- clp : DegradeProcessor , LeslieProcessor
- cmax : PianoProcessor
- Codes : EventLogger
- comb : PianoProcessor
- ComboController() : ComboController
- ComboProcessor() : ComboProcessor
- connect() : HostCheckerProcessor , HostCheckerController
- controlBeginEdit() : EditorSizeController , NoteTouchController
- controlEndEdit() : EditorSizeController , NoteTouchController
- controllerEvents : Processor
- Corr : SpecMeterProcessor
- corr : SpecMeterProcessor
- count : LogEvent
- counter : SpecMeterProcessor
- cpos : PianoProcessor
- createCustomView() : HostCheckerController , PlugController , PitchNamesController
- createInstance() : SplitterProcessor , OverdriveProcessor , OverdriveController , PianoController , PianoProcessor , LoudnessProcessor , RePsychoController , ProcessorWithUIController , RezFilterController , LeslieProcessor , LeslieController , JX10Processor , RingModController , ImageProcessor , SpecMeterProcessor , RoundPanController , RoundPanProcessor , DynamicsProcessor , DynamicsController , DX10Processor , ShepardController , DubDelayProcessor , ShepardProcessor , SpecMeterController , RePsychoProcessor , DetuneProcessor , SyncDelayProcessor , DelayProcessor , StereoController , DegradeProcessor , SubSynthController , RingModProcessor , TalkBoxController , ComboProcessor , ComboController , BeatBoxProcessor , RezFilterProcessor , BandistoProcessor , ThruZeroController , Validator , ADelayController , PlugController , Plug , HostCheckerProcessor , SyncDelayController , Plug , AGainController , Controller , ADelayProcessor , PlugController , AGain , Plug , PlugController , AGainWithSideChain , Plug , PlugController , AmbienceController , AmbienceProcessor , BandistoController , PitchNamesController , BeatBoxController , PitchNamesProcessor , SplitterController , SubSynthProcessor , MultiBandProcessor , LoudnessController , LimiterProcessor , TestToneProcessor , JX10Controller , ImageController , Processor , TrackerProcessor , DX10Controller , DubDelayController , DitherProcessor , DetuneController , DelayController , DeEsserController , DeEsserProcessor , DegradeController , ControllerWithUI , ThruZeroProcessor , DitherController , TrackerController , TalkBoxProcessor , EPianoController , EPianoProcessor , TestToneController , StereoProcessor , LimiterController , MultiBandController
- createSubController() : ControllerWithUI , HostCheckerController , AGainController
- createTests() : Validator
- createView() : ControllerWithUI , PlugController , PitchNamesController , AGainController , HostCheckerController
- crel : DX10Processor
- CTextEdit : PlugController
- CTextLabel : PlugController
- currentGainValue : Plug
- currentLPFreq : Voice< SamplePrecision >
- currentLPQ : Voice< SamplePrecision >
- currentNoiseVolume : Voice< SamplePrecision >
- currentPanningLeft : Voice< SamplePrecision >
- currentPanningRight : Voice< SamplePrecision >
- currentProcessMode : AGain
- currentProgram : DX10Processor , EPianoProcessor , Plug , PianoProcessor , JX10Processor
- currentSinusDetune : Voice< SamplePrecision >
- currentSinusF : Voice< SamplePrecision >
- currentSinusVolume : Voice< SamplePrecision >
- currentSquareVolume : Voice< SamplePrecision >
- currentTriangleF : Voice< SamplePrecision >
- currentTriangleSlope : Voice< SamplePrecision >
- currentTriangleVolume : Voice< SamplePrecision >
- currentVolume : Voice< SamplePrecision >
- customTestComponentPath : Validator::ModuleTestConfig
- CView : PlugController

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.